Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Message_Generator_Parser Class Reference

Base class for the GIOP Message generator and parser. More...

`#include <GIOP_Message_Generator_Parser.h>`

Inheritance diagram for TAO_GIOP_Message_Generator_Parser

[legend]
List of all members.

## Public Methods
virtual int | write_request_header ( const TAO_Operation_Details &opdetails, TAO_Target_Specification &spec, TAO_OutputCDR &msg) = 0
| Write the request header in to <msg>.
virtual int | write_locate_request_header ( CORBA::ULong request_id, TAO_Target_Specification &spec, TAO_OutputCDR &msg) = 0
| Write the LocateRequest header.
virtual int | write_reply_header ( TAO_OutputCDR &output, TAO_Pluggable_Reply_Params_Base &reply, CORBA::Environment &ACE_TRY_ENV) = 0 throw (CORBA::SystemException)
| Write the reply header in to <output>.
virtual int | write_locate_reply_mesg ( TAO_OutputCDR &output, CORBA::ULong request_id, TAO_GIOP_Locate_Status_Msg &status) = 0
| Writes the locate _reply message in to the <output>.
virtual int | parse_request_header (TAO_ServerRequest &) = 0
| Parse the Request Header from the incoming stream. This will do a version specific parsing of the incoming Request header.
virtual int | parse_locate_header ( TAO_GIOP_Locate_Request_Header &) = 0
| Parse the Loacte Request Header from the incoming stream. This will do a version specific parsing of the incoming Request header.
virtual int | parse_reply (TAO_InputCDR &input, TAO_Pluggable_Reply_Params &params)
| Parse the reply message.
virtual int | parse_locate_reply (TAO_InputCDR &input, TAO_Pluggable_Reply_Params &params)
| Parse the locate reply message from the server.
virtual CORBA::Octet | major_version (void) = 0
| Our versions.
virtual CORBA::Octet | minor_version (void) = 0
virtual int | is_ready_for_bidirectional (void)
| Is the messaging object ready for processing BiDirectional request/response?
## Protected Methods
void | marshal_reply_status (TAO_OutputCDR &output, TAO_Pluggable_Reply_Params_Base &reply)
| Marshall the reply status.
CORBA::Boolean | unmarshall_object_key (TAO_ObjectKey &object_key, TAO_InputCDR &cdr)
| Unmarshals the received object key.
CORBA::Boolean | unmarshall_iop_profile (TAO_Tagged_Profile &profile, TAO_InputCDR &cdr)
| Unmarshall the IOP::TaggedProfile.
CORBA::Boolean | unmarshall_ref_addr (TAO_Tagged_Profile &profile, TAO_InputCDR &cdr)
| Unmarshalls the GIOP::IORAddressingInfo.

## Detailed Description

Base class for the GIOP Message generator and parser.

Version specific classes would inherit from this class. Strategy to determine which version of the GIOP request have we received and which version do we need to use to send messages.

## Member Function Documentation

int TAO_GIOP_Message_Generator_Parser::is_ready_for_bidirectional ( | void )`[virtual]`

| Is the messaging object ready for processing BiDirectional request/response? Reimplemented in TAO_GIOP_Message_Generator_Parser_12.

CORBA::Octet TAO_GIOP_Message_Generator_Parser::major_version ( | void )`[pure virtual]`

| Our versions. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

void TAO_GIOP_Message_Generator_Parser::marshal_reply_status ( | TAO_OutputCDR & output,
| TAO_Pluggable_Reply_Params_Base & reply )`[protected]`

| Marshall the reply status.

virtual CORBA::Octet TAO_GIOP_Message_Generator_Parser::minor_version ( | void )`[pure virtual]`

| Reimplemented in TAO_GIOP_Message_Generator_Parser_10, TAO_GIOP_Message_Generator_Parser_11, and TAO_GIOP_Message_Generator_Parser_12.

int TAO_GIOP_Message_Generator_Parser::parse_locate_header ( | TAO_GIOP_Locate_Request_Header & request )`[pure virtual]`

| Parse the Loacte Request Header from the incoming stream. This will do a version specific parsing of the incoming Request header. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

int TAO_GIOP_Message_Generator_Parser::parse_locate_reply ( | TAO_InputCDR & input,
| TAO_Pluggable_Reply_Params & params )`[virtual]`

| Parse the locate reply message from the server. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

int TAO_GIOP_Message_Generator_Parser::parse_reply ( | TAO_InputCDR & input,
| TAO_Pluggable_Reply_Params & params )`[inline, virtual]`

| Parse the reply message. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

int TAO_GIOP_Message_Generator_Parser::parse_request_header ( | TAO_ServerRequest & request )`[pure virtual]`

| Parse the Request Header from the incoming stream. This will do a version specific parsing of the incoming Request header. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

CORBA::Boolean TAO_GIOP_Message_Generator_Parser::unmarshall_iop_profile ( | TAO_Tagged_Profile & profile,
| TAO_InputCDR & cdr )`[protected]`

| Unmarshall the IOP::TaggedProfile.

CORBA::Boolean TAO_GIOP_Message_Generator_Parser::unmarshall_object_key ( | TAO_ObjectKey & object_key,
| TAO_InputCDR & cdr )`[protected]`

| Unmarshals the received object key.

CORBA::Boolean TAO_GIOP_Message_Generator_Parser::unmarshall_ref_addr ( | TAO_Tagged_Profile & profile,
| TAO_InputCDR & cdr )`[protected]`

| Unmarshalls the GIOP::IORAddressingInfo.

int TAO_GIOP_Message_Generator_Parser::write_locate_reply_mesg ( | TAO_OutputCDR & output,
| CORBA::ULong request_id,
| TAO_GIOP_Locate_Status_Msg & status )`[pure virtual]`

| Writes the locate _reply message in to the <output>. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

int TAO_GIOP_Message_Generator_Parser::write_locate_request_header ( | CORBA::ULong request_id,
| TAO_Target_Specification & spec,
| TAO_OutputCDR & msg )`[pure virtual]`

| Write the LocateRequest header. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

int TAO_GIOP_Message_Generator_Parser::write_reply_header ( | TAO_OutputCDR & output,
| TAO_Pluggable_Reply_Params_Base & reply,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[pure virtual]`

| Write the reply header in to <output>. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

int TAO_GIOP_Message_Generator_Parser::write_request_header ( | const TAO_Operation_Details & opdetails,
| TAO_Target_Specification & spec,
| TAO_OutputCDR & msg )`[pure virtual]`

| Write the request header in to <msg>. Reimplemented in TAO_GIOP_Message_Generator_Parser_10, and TAO_GIOP_Message_Generator_Parser_12.

The documentation for this class was generated from the following files:

- GIOP_Message_Generator_Parser.h
- GIOP_Message_Generator_Parser.cpp